#include "EtherDev_DP83848C.h"
#include "EtherDev_LAN8720.h"



const struct TiEthernetDevice* getEthernetDevicePnP(xSemaphoreHandle i_irs_emac_semaphore)
{
	const struct TiEthernetDevice* ret;
	if(EthDev_LAN8720_getInterface(i_irs_emac_semaphore,&ret)){
		return ret;
	}
	if(EthDev_DP83848C_getInterface(i_irs_emac_semaphore,&ret)){
		return ret;
	}
	return NULL;
}



